HttpRequest::setSslOptions
HttpRequestPool
HttpRequest
PHP Manual

# HttpRequest::setUrl

(PECL pecl_http >= 0.10.0)

HttpRequest::setUrl — Set URL

### Description

public bool HttpRequest::setUrl ( string `$url` )

Set the request URL.

### Parameters

`url`

  the request url

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

HttpRequest::setSslOptions
HttpRequestPool
HttpRequest
PHP Manual